El 07/02/14 16:56, Martin Nowak ha escrit:
> On 02/03/2014 07:34 PM, Andrew Edwards wrote:
>> http://ftp.digitalmars.com/libphobos2-65_2.065.0-b3-0_amd64.deb
>> http://ftp.digitalmars.com/libphobos2-65_2.065.0-b3-0_i386.deb
> 
> Do we need separate libphobos2 debian packages?
> Until now I've never seen them on the website 
> (http://dlang.org/download.html) and AFAIK libphobs2.* is already in the dmd 
> package.
> 

That's correct, libphobos2.* is in the all-in-one dmd deb package. If a program 
compiled against libphobos2.so.*.*.* should be run in a third computer, you 
need this library on that system.

libphobos2-63, libphobos2-64, etc. only contains the phobos shared library of 
that version for run-time purposes only.

The version is included on their names allowing to install multiple phobos 
shared libraries version at same time.

As dmd package contains this library to, the same version of libphobos2-?? and 
dmd deb packages conflicts, so they cannot be installed together.

Regards,
-- 
Jordi Sayol

Reply via email to